<?php




namespace app\common\model\user;


use app\common\model\BaseModel;

/**
 * Class UserRecharge
 * @package app\common\model\user
 * @author xaboy
 * @day 2020/6/2
 */
class UserRecharge extends BaseModel
{

    /**
     * @return string|null
     * @author xaboy
     * @day 2020/6/2
     */
    public static function tablePk(): ?string
    {
        return 'recharge_id';
    }

    /**
     * @return string
     * @author xaboy
     * @day 2020/6/2
     */
    public static function tableName(): string
    {
        return 'user_recharge';
    }

    public function user()
    {
        return $this->hasOne(User::class, 'uid', 'uid');
    }

    public function searchDateAttr($query,$value)
    {
        getModelTime($query, $value);
    }

    public function getPayParams($return_url = '')
    {
        $params = [
            'order_sn' => $this->order_id,
            'pay_price' => $this->price,
            'attach' => 'user_recharge',
            'body' => '用户充值'
        ];
        if ($return_url) {
            $params['return_url'] = $return_url;
        }
        return $params;
    }
}
